﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CORHDR]') AND name = N'XCORHDR1')
BEGIN 
PRINT 'Creating index XCORHDR1 on table CORHDR'
CREATE UNIQUE NONCLUSTERED INDEX [XCORHDR1] ON [dbo].[CORHDR] 
(
	[CUST] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CORHDR]') AND name = N'XCORHDR2')
BEGIN 
PRINT 'Creating index XCORHDR2 on table CORHDR'
CREATE UNIQUE NONCLUSTERED INDEX [XCORHDR2] ON [dbo].[CORHDR] 
(
	[DATE1] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CORHDR]') AND name = N'XCORHDR3')
BEGIN 
PRINT 'Creating index XCORHDR3 on table CORHDR'
CREATE UNIQUE NONCLUSTERED INDEX [XCORHDR3] ON [dbo].[CORHDR] 
(
	[DELD] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR' AND COLUMN_NAME = 'DELI' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR_DELI')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR_DELI on table CORHDR' 
    ALTER TABLE [dbo].[CORHDR]
    ADD CONSTRAINT [DF_CORHDR_DELI] DEFAULT ((0)) FOR [DELI]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR' AND COLUMN_NAME = 'DELC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR_DELC')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR_DELC on table CORHDR' 
    ALTER TABLE [dbo].[CORHDR]
    ADD CONSTRAINT [DF_CORHDR_DELC] DEFAULT ((0)) FOR [DELC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR' AND COLUMN_NAME = 'PRNT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR_PRNT')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR_PRNT on table CORHDR' 
    ALTER TABLE [dbo].[CORHDR]
    ADD CONSTRAINT [DF_CORHDR_PRNT] DEFAULT ((0)) FOR [PRNT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR' AND COLUMN_NAME = 'RPRN' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR_RPRN')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR_RPRN on table CORHDR' 
    ALTER TABLE [dbo].[CORHDR]
    ADD CONSTRAINT [DF_CORHDR_RPRN] DEFAULT ((0)) FOR [RPRN]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR' AND COLUMN_NAME = 'REVI' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR_REVI')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR_REVI on table CORHDR' 
    ALTER TABLE [dbo].[CORHDR]
    ADD CONSTRAINT [DF_CORHDR_REVI] DEFAULT ((0)) FOR [REVI]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR' AND COLUMN_NAME = 'MVST' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR_MVST')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR_MVST on table CORHDR' 
    ALTER TABLE [dbo].[CORHDR]
    ADD CONSTRAINT [DF_CORHDR_MVST] DEFAULT ((0)) FOR [MVST]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR' AND COLUMN_NAME = 'DCST' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR_DCST')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR_DCST on table CORHDR' 
    ALTER TABLE [dbo].[CORHDR]
    ADD CONSTRAINT [DF_CORHDR_DCST] DEFAULT ((0)) FOR [DCST]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR' AND COLUMN_NAME = 'QTYO' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR_QTYO')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR_QTYO on table CORHDR' 
    ALTER TABLE [dbo].[CORHDR]
    ADD CONSTRAINT [DF_CORHDR_QTYO] DEFAULT ((0)) FOR [QTYO]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR' AND COLUMN_NAME = 'QTYT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR_QTYT')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR_QTYT on table CORHDR' 
    ALTER TABLE [dbo].[CORHDR]
    ADD CONSTRAINT [DF_CORHDR_QTYT] DEFAULT ((0)) FOR [QTYT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR' AND COLUMN_NAME = 'QTYR' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR_QTYR')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR_QTYR on table CORHDR' 
    ALTER TABLE [dbo].[CORHDR]
    ADD CONSTRAINT [DF_CORHDR_QTYR] DEFAULT ((0)) FOR [QTYR]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR' AND COLUMN_NAME = 'WGHT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR_WGHT')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR_WGHT on table CORHDR' 
    ALTER TABLE [dbo].[CORHDR]
    ADD CONSTRAINT [DF_CORHDR_WGHT] DEFAULT ((0)) FOR [WGHT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR' AND COLUMN_NAME = 'VOLU' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR_VOLU')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR_VOLU on table CORHDR' 
    ALTER TABLE [dbo].[CORHDR]
    ADD CONSTRAINT [DF_CORHDR_VOLU] DEFAULT ((0)) FOR [VOLU]
END 
GO

